# Class FileService

#### Hierarchy

- FileService

- Defined in src/misc/File.js:32

#####
Index

### Properties

isGpx
isKml
isValidFileSize
isWmsGetCap
isWmtsGetCap
load
read

## Properties

### isGpx

isGpx: ((fileContent: string) => boolean)

#### Type declaration

- - (fileContent: string): boolean

  - ### Returns

    #### Parameters

    - ##### fileContent: string

    #### Returns boolean

- Defined in src/misc/File.js:70

### isKml

isKml: ((fileContent: string) => boolean)

#### Type declaration

- - (fileContent: string): boolean

  - ### Returns

    #### Parameters

    - ##### fileContent: string

    #### Returns boolean

- Defined in src/misc/File.js:62

### isValidFileSize

isValidFileSize: ((fileSize: number) => boolean)

#### Type declaration

- - (fileSize: number): boolean

  - ### Returns

    #### Parameters

    - ##### fileSize: number

    #### Returns boolean

- Defined in src/misc/File.js:38

### isWmsGetCap

isWmsGetCap: ((fileContent: string) => boolean)

#### Type declaration

- - (fileContent: string): boolean

  - ### Returns

    #### Parameters

    - ##### fileContent: string

    #### Returns boolean

- Defined in src/misc/File.js:46

### isWmtsGetCap

isWmtsGetCap: ((fileContent: string) => boolean)

#### Type declaration

- - (fileContent: string): boolean

  - ### Returns

    #### Parameters

    - ##### fileContent: string

    #### Returns boolean

- Defined in src/misc/File.js:54

### load

load: ((url: string, opt_cancelP?: IDeferred<unknown>) => IPromise<Blob>)

#### Type declaration

- - (url: string, opt_cancelP?: IDeferred<unknown>): IPromise<Blob>

  - ### Returns

    .

    #### Parameters

    - ##### url: string

      .

    - ##### `Optional` opt_cancelP: IDeferred<unknown>

      .

    #### Returns IPromise<Blob>

- Defined in src/misc/File.js:123

### read

read: ((file: Blob) => IPromise<string>)

#### Type declaration

- - (file: Blob): IPromise<string>

  - ### Returns

    .

    #### Parameters

    - ##### file: Blob

      .

    #### Returns IPromise<string>

- Defined in src/misc/File.js:80

Generated using TypeDoc